package services

import (
	"eta/eta_forum_admin/models"
)

// GetAiPredictModelClassifyTreeRecursive 递归获取分类树形结构
func GetAiPredictModelClassifyTreeRecursive(list []*models.AiPredictModelClassifyItems, parentId int) []*models.AiPredictModelClassifyItems {
	res := make([]*models.AiPredictModelClassifyItems, 0)
	for _, v := range list {
		if v.ParentId == parentId {
			v.Children = GetAiPredictModelClassifyTreeRecursive(list, v.AiPredictModelClassifyId)
			res = append(res, v)
		}
	}
	return res
}